//============================================================================================================
//	$Id$
//
//	$Author$
//
//	$DateTime$
//============================================================================================================

#ifndef _LFC1_UDTSUPEXP_HPP_
#define _LFC1_UDTSUPEXP_HPP_

///	@defgroup LFC1_UDTSUP User-defined type support class library
///
///	This library contains a set of templates which provides exception/error handling for inserters, extractors
///	and manipulators of user-defined types.  These templates handle exceptions derived from std::bad_alloc,
///	std::exception and unknown exceptions.
///

#if defined(__WIN__)
  #if defined(LFC1_UDTSUP_EXPORTS)
  #define LFC1_UDTSUP_API __declspec(dllexport)
  #else
  #define LFC1_UDTSUP_API __declspec(dllimport)
  #endif
#else
  #if defined(LFC1_UDTSUP_EXPORTS)
  #define LFC1_UDTSUP_API
  #else
  #define LFC1_UDTSUP_API
  #endif
#endif

#endif // _LFC1_UDTSUPEXP_HPP_

//============================================================================================================
//	End of Code
//============================================================================================================
